Plot HomeDocumentation

List Areas

Retrieves a paginated list of visible areas in the workspace (non-private areas, plus private areas the user is a member of).

GET
/v1/areas/list

Retrieves a paginated list of visible areas in the workspace (non-private areas, plus private areas the user is a member of).

Query Parameters

name?string

Search by area name

matchMode?string

Match mode: "all" (AND) or "any" (OR)

includeArchived?string

Include archived areas

includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (members,taskStatuses,taskLabels)

cursor?string

Cursor for pagination

offset?|

Offset for pagination

limit?integer

Number of results to return (max 100)

Response Body

application/json

curl -X GET "https://example.com/v1/areas/list"
{  "data": [    {      "id": "string",      "name": "string",      "publicId": "str",      "description": "string",      "icon": "string",      "color": "string",      "privacy": "workspace",      "archivedAt": "2019-08-24T14:15:22Z",      "members": [        {          "id": "string",          "role": "string",          "username": "string",          "email": "user@example.com",          "lastAccessedAt": "string",          "createdAt": "string"        }      ],      "taskStatuses": [        {          "id": "string",          "name": "string",          "stage": "string",          "color": "string"        }      ],      "taskLabels": [        {          "id": "string",          "color": "icon-secondary",          "name": "string"        }      ]    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}